VSLOCK(9)

NAME
vslock, vsunlock - lock/unlock user space addresses in memory

SYNOPSIS
void
vslock(struct proc *p, caddr_t addr, size_t len);
void
vsunlock(struct proc *p, caddr_t addr, size_t len);

DESCRIPTION
The vslock() and vsunlock() functions respectively lock and unlock a range of addresses belonging to the currently running process into memory. The actual amount of memory locked is a multiple of the machine's page size. The starting page number is computed by truncating addr to the nearest preceding page boundary, and by rounding up addr + len to the next page boundary. The process context to use for this operation is taken from p.

SEE ALSO
physio(9)